package nl.dragontamerfred.YRPerks.Perks;

import nl.dragontamerfred.YRPerks.Events.KillEvent;
import nl.dragontamerfred.YRPerks.PerkManager;
import nl.dragontamerfred.YRPerks.PerkSettings;
import nl.dragontamerfred.YRPerks.Types.Perk;
import nl.dragontamerfred.YRPerks.Utils;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.potion.PotionEffect;
import org.bukkit.potion.PotionEffectType;

import java.util.ArrayList;
import java.util.List;

public class PerkArchersAgility extends Perk implements Listener {

    public PerkArchersAgility() {
        this.id = "archersAgility";
        this.name = "Archers Agility";
        this.material = Material.FEATHER;
        this.damage = 0;
        List<String> description = new ArrayList<>();
        description.add("Get speed for");
        description.add("a short time");
        description.add("to back up and");
        description.add("engage from");
        description.add("a distance.");
        this.description = Utils.color(description);
    }

    @EventHandler
    public void on(KillEvent event) {
        Player killer = event.getKiller();
        if (PerkManager.playerHasPerkSelected(killer.getUniqueId(), id)) {
            killer.addPotionEffect(new PotionEffect(PotionEffectType.SPEED, PerkSettings.ARCHERS_AGILITY_DURATION,PerkSettings.ARCHERS_AGILITY_AMPLIFIER,false,false));
        }
    }

}
